Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.impl
Class QueryFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.gmt.modisco.infra.query.impl.QueryFactoryImpl

All Implemented Interfaces:
  QueryFactory

    public class QueryFactoryImpl

extends EFactoryImpl
implements QueryFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.query.QueryFactory
`eINSTANCE`

Constructor Summary
`QueryFactoryImpl()` Creates an instance of the factory.

Method Summary
`EObject` | `create(EClass eClass)`
`JavaModelQuery` | `createJavaModelQuery()`
`ModelQueryParameter` | `createModelQueryParameter()`
`ModelQuerySet` | `createModelQuerySet()`
`OCLModelQuery` | `createOCLModelQuery()`
`static QueryPackage` | `getPackage()` Deprecated.
`QueryPackage` | `getQueryPackage()`
`static QueryFactory` | `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryFactoryImpl

    public QueryFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static QueryFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createModelQuerySet

    public ModelQuerySet createModelQuerySet()

  Specified by:
    `createModelQuerySet` in interface `QueryFactory`
  Returns:
    a new object of class 'Model Query Set'.

### createJavaModelQuery

    public JavaModelQuery createJavaModelQuery()

  Specified by:
    `createJavaModelQuery` in interface `QueryFactory`
  Returns:
    a new object of class 'Java Model Query'.

### createModelQueryParameter

    public ModelQueryParameter createModelQueryParameter()

  Specified by:
    `createModelQueryParameter` in interface `QueryFactory`
  Returns:
    a new object of class 'Model Query Parameter'.

### createOCLModelQuery

    public OCLModelQuery createOCLModelQuery()

  Specified by:
    `createOCLModelQuery` in interface `QueryFactory`
  Returns:
    a new object of class 'OCL Model Query'.

### getQueryPackage

    public QueryPackage getQueryPackage()

  Specified by:
    `getQueryPackage` in interface `QueryFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static QueryPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD